Bug 121453 - [patch] improve Mk/bsd.sites.mk MASTER_SITE_GOOGLE_CODE variable
[patch] improve Mk/bsd.sites.mk MASTER_SITE_GOOGLE_CODE variable
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-06 23:00 UTC by edwin
Modified: 2008-03-13 11:33 UTC (History)
0 users

See Also:


Attachments
file.diff (653 bytes, patch)
2008-03-06 23:00 UTC, edwin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description edwin 2008-03-06 23:00:01 UTC
There are 18 ports which can't use the MASTER_SITE_GOOGLE_CODE
variable for MASTER_SITES yet because their PORTNAME isn't the
same as the hostname. For example:

graphics/tesseract/Makefile:MASTER_SITES=       http://tesseract-ocr.googlecode.com/files/ CENKES
net-im/jabber-pyaim/Makefile:MASTER_SITES=      http://pyaimt.googlecode.com/files/
net-im/jabber-pyicq/Makefile:MASTER_SITES=      http://pyicqt.googlecode.com/files/

This patch introduces the GOOGLENAME variable which can be used to
overcome this problem.

Fix: I submitted this as a PR instead of just commited it because it
might cause some controvacy.
Comment 1 edwin 2008-03-07 00:12:23 UTC
> I submitted this as a PR instead of just commited it because it
> might cause some controvacy.

I will commit this patch in the next week if I don't receibe any
negative replies on it.

Edwin
-- 
Edwin Groothuis      |            Personal website: http://www.mavetju.org
edwin@mavetju.org    |              Weblog: http://www.mavetju.org/weblog/
Comment 2 amdmi3 2008-03-07 00:49:10 UTC
* Edwin Groothuis (edwin@mavetju.org) wrote:

>  > I submitted this as a PR instead of just commited it because it
>  > might cause some controvacy.
>  I will commit this patch in the next week if I don't receibe any
>  negative replies on it.
Can't MASTER_SITE_SUBDIR be used for that cases? I think using
MASTER_SITE_SUBDIR for not-actually-a-subdir is a less pain than
introducing a new variable.

-- 
Dmitry A. Marakasov    | jabber: amdmi3@jabber.ru
amdmi3@amdmi3.ru       | http://www.amdmi3.ru
Comment 3 edwin 2008-03-07 01:56:31 UTC
On Fri, Mar 07, 2008 at 12:50:04AM +0000, Dmitry Marakasov wrote:
> The following reply was made to PR ports/121453; it has been noted by GNATS.
> 
> From: Dmitry Marakasov <amdmi3@amdmi3.ru>
> To: bug-followup@FreeBSD.org
> Cc:  
> Subject: Re: ports/121453: [patch] improve Mk/bsd.sites.mk
> 	MASTER_SITE_GOOGLE_CODE variable
> Date: Fri, 7 Mar 2008 03:49:10 +0300
> 
>  * Edwin Groothuis (edwin@mavetju.org) wrote:
>  
>  >  > I submitted this as a PR instead of just commited it because it
>  >  > might cause some controvacy.
>  >  I will commit this patch in the next week if I don't receibe any
>  >  negative replies on it.
>  Can't MASTER_SITE_SUBDIR be used for that cases? I think using
>  MASTER_SITE_SUBDIR for not-actually-a-subdir is a less pain than
>  introducing a new variable.

I have looked at it, but I couldn't really find a way to get it
added as the default.

The current code is:

    MASTER_SITES_GOOGLE_CODE=	http://${PORTNAME}.googlecode.com/files

This one works for 75% of the ports.

If we would use the following code:

    MASTER_SITES_GOOGLE_CODE=	http://%%SUBDIR%%.googlecode.com/files

we would need to set MASTER_SITE_SUBDIR for all of them. But strictly
speaking, it isn't a real sub-directory to start with.

Using the variable GOOGLENAME, or GOOGLEHOST (which actually makes
more sense than GOOGLENAME), it would be a good compromis.

Edwin
-- 
Edwin Groothuis      |            Personal website: http://www.mavetju.org
edwin@mavetju.org    |              Weblog: http://www.mavetju.org/weblog/
Comment 4 amdmi3 2008-03-07 21:26:39 UTC
* Edwin Groothuis (edwin@mavetju.org) wrote:

> >  >  > I submitted this as a PR instead of just commited it because it
> >  >  > might cause some controvacy.
> >  >  I will commit this patch in the next week if I don't receibe any
> >  >  negative replies on it.
> >  Can't MASTER_SITE_SUBDIR be used for that cases? I think using
> >  MASTER_SITE_SUBDIR for not-actually-a-subdir is a less pain than
> >  introducing a new variable.
> I have looked at it, but I couldn't really find a way to get it
> added as the default.
> 
> The current code is:
> 
>     MASTER_SITES_GOOGLE_CODE=	http://${PORTNAME}.googlecode.com/files
> 
> This one works for 75% of the ports.
> 
> If we would use the following code:
> 
>     MASTER_SITES_GOOGLE_CODE=	http://%%SUBDIR%%.googlecode.com/files
> 
> we would need to set MASTER_SITE_SUBDIR for all of them. But strictly
> speaking, it isn't a real sub-directory to start with.
If changed to MASTER_SITES_GOOGLE_CODE= http://${GOOGLENAME}.googlecode...
GOOGLENAME should be defined for each port as well (unless defined as
GOOGLENAME?=	${PORTNAME}
). Well, on the other hand, if you see `less painful' as `as little ports
modified as possible', this GOOGLENAME stuff is OK.

My idea is that we'd better have only one variable with meaning `project
name on specific multi-project site', which defaults to ${PORTNAME} and
may be overridden if needed. As of now, MASTER_SITE_SUBDIR has this
meaning in many cases.

-- 
Dmitry A. Marakasov    | jabber: amdmi3@jabber.ru
amdmi3@amdmi3.ru       | http://www.amdmi3.ru
Comment 5 pav freebsd_committer 2008-03-10 08:26:03 UTC
We at portmgr pondered this patch, and we can live with it as submitted.
We prefer neutral variable name, like forex. PROJECTHOST, over the
proposed GOOGLEHOST. Submitter should commit.

-- 
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>

Geography is only physics slowed down, with a few trees stuck on it...
  -- Terry Pratchett
Comment 6 dfilter freebsd_committer 2008-03-13 11:21:32 UTC
edwin       2008-03-13 11:21:28 UTC

  FreeBSD ports repository

  Modified files:
    Mk                   bsd.sites.mk 
  Log:
  [patch] improve Mk/bsd.sites.mk MASTER_SITE_GOOGLE_CODE variable
  
      There are 18 ports which can't use the MASTER_SITE_GOOGLE_CODE
      variable for MASTER_SITES yet because their PORTNAME isn't the
      same as the hostname. For example:
  
      graphics/tesseract/Makefile:MASTER_SITES= http://tesseract-ocr.googlecode.com/files/ CENKES
      net-im/jabber-pyaim/Makefile:MASTER_SITES= http://pyaimt.googlecode.com/files/
      net-im/jabber-pyicq/Makefile:MASTER_SITES= http://pyicqt.googlecode.com/files/
  
      This patch introduces the PROJECTHOST variable which can be
      used to overcome this problem.
  
  PR:             ports/121453
  Submitted by:   Edwin Groothuis <edwin@mavetju.org>
  Reviewed by:    pav@
  
  Revision  Changes    Path
  1.440     +6 -1      ports/Mk/bsd.sites.mk
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 dfilter freebsd_committer 2008-03-13 11:27:37 UTC
edwin       2008-03-13 11:27:29 UTC

  FreeBSD ports repository

  Modified files:
    databases/py-migrate Makefile 
    devel/bunny          Makefile 
    devel/gflags         Makefile 
    devel/papi           Makefile 
    devel/py-event       Makefile 
    devel/py-gdata       Makefile 
    dns/dnswall          Makefile 
    dns/py-adns          Makefile 
    games/el             Makefile 
    games/endgame-singularity-music Makefile 
    graphics/tesseract   Makefile 
    net-im/jabber-pyaim  Makefile 
    net-im/jabber-pyicq  Makefile 
    net/py-twitter       Makefile 
    sysutils/rsyncbackup Makefile 
    textproc/uim-el      Makefile 
    www/asterisk-gui     Makefile 
    www/mod_log_firstbyte Makefile 
  Log:
  Chase change in bsd.sites.mk to support MASTER_SITES on googlecode.com
  where the portname does not match the projects hostname.
  
  PR:             ports/121453 (related)
  Submitted by:   Edwin Groothuis <edwin@mavetju.org>
  Reviewed by:    pav@
  
  Revision  Changes    Path
  1.8       +2 -1      ports/databases/py-migrate/Makefile
  1.4       +2 -1      ports/devel/bunny/Makefile
  1.7       +2 -1      ports/devel/gflags/Makefile
  1.8       +3 -2      ports/devel/papi/Makefile
  1.5       +2 -1      ports/devel/py-event/Makefile
  1.10      +2 -1      ports/devel/py-gdata/Makefile
  1.2       +2 -1      ports/dns/dnswall/Makefile
  1.18      +2 -1      ports/dns/py-adns/Makefile
  1.18      +2 -1      ports/games/el/Makefile
  1.3       +2 -1      ports/games/endgame-singularity-music/Makefile
  1.4       +2 -1      ports/graphics/tesseract/Makefile
  1.8       +3 -1      ports/net-im/jabber-pyaim/Makefile
  1.25      +2 -1      ports/net-im/jabber-pyicq/Makefile
  1.5       +2 -1      ports/net/py-twitter/Makefile
  1.2       +2 -1      ports/sysutils/rsyncbackup/Makefile
  1.14      +2 -1      ports/textproc/uim-el/Makefile
  1.7       +2 -1      ports/www/asterisk-gui/Makefile
  1.4       +2 -1      ports/www/mod_log_firstbyte/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Edwin Groothuis freebsd_committer 2008-03-13 11:33:41 UTC
State Changed
From-To: open->closed

Committed, thanks!